Subject: bug#5256: conjunct formation should follow input sequence when inserting text

From: Kenichi Handa <[email-masked]>
Date: Fri, 25 Dec 2009 11:48:13 +0900

In article <[email-masked]>, Kenichi Handa <[email-masked]> writes:

> In article <[email-masked]>, Praveen A <[email-masked]> writes:
> > Example to illustrate this bug is അപ്‌ലോഡ് (upload).
>>>>> a=u'ലോഡ്'
>>>>> b=u'അപ്'
>>>>> c=u'അപ്‌ലോഡ്'
>>>>> print repr(c)
> > u'\u0d05\u0d2a\u0d4d\u200c\u0d32\u0d4b\u0d21\u0d4d'
>>>>> d=u'അപ്ലോ‌ഡ്'
>>>>> print repr(d)
> > u'\u0d05\u0d2a\u0d4d\u0d32\u0d4b\u200c\u0d21\u0d4d'
>>>>> 

> > Here ZWNJ is added to prevent formation of conjunct 'pla' (\u0d2a\u0d4d\u0d32).

> > Enter ലോഡ് (\u0d32\u0d4b\u0d21\u0d4d) first, move cursor to the
> > beginning of the word, now enter അപ് (\u0d05\u0d2a\u0d4d). Now ZWNJ
> > entered will not be after 0d4d, but after the conjunct 'plo'
> > (\u0d2a\u0d4d\u0d32\u0d4b). gedit/pango has the correct behavior,
> > wherein the ZWNJ is inserted after 0d4d breaking the conjunct 'pla'
> > (\u0d2a\u0d4d\u0d32) as expected.

> Ah, I see your point.  It seems that we must set
> disable-point-adjustment to t when a character/string is
> inserted in a buffer.  I'll work on it.

I fixed it.  Please try again with the lastest code.

---
Kenichi Handa
[email-masked]